# (tv) stick to 4.x as 5.x drop support for MariaDB and many MySQL versions,
# only building against MySQL 8.x:
# https://github.com/perl5-dbi/DBD-mysql/issues/361

%define upstream_name    DBD-mysql
%define upstream_version 4.052
#define Werror_cflags %%nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

# (tmb) filter out deps on self
%global __requires_exclude ^perl\\(DBD\\:\\:mysql\\)

BuildRequires: perl(DBI) >= 1.609.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(bigint)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 4.52.0-2.mga10
+ Revision: 2088991
- Rebuild for perl-5.40

* Sat Dec 09 2023 tv <tv> 4.52.0-1.mga10
+ Revision: 2016097
- update to 4.052

* Thu Nov 30 2023 tv <tv> 4.51.0-2.mga10
+ Revision: 2011614
- Rebuild for perl-5.38

* Sun Oct 29 2023 tv <tv> 4.51.0-1.mga10
+ Revision: 2002781
- Update to 4.051

* Tue Jun 07 2022 umeabot <umeabot> 4.50.0-8.mga9
+ Revision: 1862856
- Rebuild for Perl 5.36

* Sat Apr 02 2022 umeabot <umeabot> 4.50.0-7.mga9
+ Revision: 1841119
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 4.50.0-6.mga9
+ Revision: 1726544
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 4.50.0-5.mga8
+ Revision: 1595638
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 4.50.0-4.mga8
+ Revision: 1530204
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 4.50.0-3.mga8
+ Revision: 1434508
- rebuild for perl 5.30

* Tue Aug 27 2019 tmb <tmb> 4.50.0-2.mga8
+ Revision: 1434045
- filter out self-requires on perl(DBD::mysql)
+ tv <tv>
- rebuild with perl-5.30

* Fri Jan 11 2019 tv <tv> 4.50.0-1.mga7
+ Revision: 1355030
- update to 4.050

* Sat Nov 24 2018 tv <tv> 4.49.0-1.mga7
+ Revision: 1333756
- update to 4.049

* Sun Oct 21 2018 tv <tv> 4.48.0-1.mga7
+ Revision: 1323173
- update to 4.048

* Fri Sep 21 2018 umeabot <umeabot> 4.46.0-3.mga7
+ Revision: 1292676
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 4.46.0-2.mga7
+ Revision: 1248059
- rebuild for perl 5.28

* Mon Apr 09 2018 shlomif <shlomif> 4.46.0-1.mga7
+ Revision: 1216853
- fix build
+ kekepower <kekepower>
- Update to version 4.046

* Fri Dec 29 2017 luigiwalser <luigiwalser> 4.43.0-2.mga7
+ Revision: 1186910
- add back patch 1 from fedora
- add patches from fedora to fix CVE-2017-10789
- drop patch 1
- add patch from fedora to fix CVE-2017-10788

* Thu Dec 21 2017 shlomif <shlomif> 4.43.0-1.mga7
+ Revision: 1183700
- New version + fix build.

* Mon Oct 02 2017 tv <tv> 4.41.0-5.mga7
+ Revision: 1163893
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 4.41.0-4.mga7
+ Revision: 1150075
- Rebuild for perl ABI changes

* Wed Aug 02 2017 guillomovitch <guillomovitch> 4.41.0-3.mga7
+ Revision: 1134001
- rebuild for latest openssl

* Sat Jul 22 2017 neoclust <neoclust> 4.41.0-2.mga7
+ Revision: 1126755
- Rebuild against new Perl 5.26

* Tue Nov 29 2016 guillomovitch <guillomovitch> 4.41.0-1.mga6
+ Revision: 1071051
- new version 4.041

* Wed Nov 16 2016 guillomovitch <guillomovitch> 4.39.0-1.mga6
+ Revision: 1067568
- new version 4.039

* Tue Oct 04 2016 guillomovitch <guillomovitch> 4.37.0-1.mga6
+ Revision: 1058690
- new version 4.037

* Wed Jul 27 2016 guillomovitch <guillomovitch> 4.35.0-1.mga6
+ Revision: 1043808
- new version 4.035 (fix CVE-2014-9906 and CVE-2015-8949)

* Sat Jun 18 2016 pterjan <pterjan> 4.32.0-3.mga6
+ Revision: 1025373
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.32.0-2.mga6
+ Revision: 957096
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 4.32.0-1.mga6
+ Revision: 858226
- update to 4.032

* Fri Jun 26 2015 tv <tv> 4.31.0-2.mga6
+ Revision: 844812
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 4.31.0-1.mga6
+ Revision: 841861
- new version 4.031

* Wed Oct 15 2014 umeabot <umeabot> 4.28.0-3.mga5
+ Revision: 749215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.28.0-2.mga5
+ Revision: 684097
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 4.28.0-1.mga5
+ Revision: 659384
- update to 4.028

* Tue Jun 03 2014 jquelin <jquelin> 4.27.0-2.mga5
+ Revision: 632206
- perl 5.20.0 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 4.27.0-1.mga5
+ Revision: 606186
- update to 4.027

* Mon Feb 10 2014 jquelin <jquelin> 4.26.0-1.mga5
+ Revision: 588259
- update to 4.026

* Mon Oct 21 2013 umeabot <umeabot> 4.24.0-2.mga4
+ Revision: 539258
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 4.24.0-1.mga4
+ Revision: 491698
- update to 4.024

* Mon Jun 10 2013 jquelin <jquelin> 4.23.0-1.mga4
+ Revision: 441527
- update to 4.023

* Wed May 29 2013 jquelin <jquelin> 4.22.0-3.mga4
+ Revision: 431182
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.22.0-2.mga3
+ Revision: 365044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 4.22.0-1.mga3
+ Revision: 297969
- update to 4.022

* Tue Jun 05 2012 jquelin <jquelin> 4.21.0-1.mga3
+ Revision: 254734
- update to 4.021

* Wed May 30 2012 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 250490
- rebuild for perl 5.16

* Tue Dec 20 2011 barjac <barjac> 4.20.0-2.mga2
+ Revision: 184666
- Bump release
- Rebuild against mariadb
+ jquelin <jquelin>
- update to 4.020

* Sun Jun 12 2011 ahmad <ahmad> 4.19.0-4.mga2
+ Revision: 104423
- Update to 4.019
+ sander85 <sander85>
- Rebuild for perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 4.18.0-2.mga1
+ Revision: 77078
- Rebuild against new mysql

* Fri Feb 25 2011 jquelin <jquelin> 4.18.0-1.mga1
+ Revision: 59651
- update to 4.018

* Sat Jan 22 2011 jquelin <jquelin> 4.17.0-4.mga1
+ Revision: 32734
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.17.0-3.mga1
+ Revision: 30043
- mageia rebuild
- imported package perl-DBD-mysql

